Close draft commit
curl --request POST \
--url https://api.diversion.dev/v0/repos/{repo_id}/draft-commits/{draft_commit_id}/close \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.diversion.dev/v0/repos/{repo_id}/draft-commits/{draft_commit_id}/close"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.diversion.dev/v0/repos/{repo_id}/draft-commits/{draft_commit_id}/close', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"detail": "<string>",
"title": "<string>",
"type": "<string>"
}{
"status": 123,
"detail": "<string>",
"title": "<string>",
"type": "<string>"
}{
"status": 123,
"detail": "<string>",
"title": "<string>",
"type": "<string>"
}Repository Draft Commits
Close draft commit
Close a draft commit. This operation changes the status to ‘closed’ and marks the draft branch as deleted.
POST
/
repos
/
{repo_id}
/
draft-commits
/
{draft_commit_id}
/
close
Close draft commit
Authorizations
This API uses OAuth 2 with the implicit grant flow
Path Parameters
The repo ID of the repository. Repo name can be used instead of the ID, but usage of ID for permanent linking and API requests is preferred.
Required string length:
3 - 128Example:
"example_id"
Draft commit ID
Response
Request completed successfully
⌘I

